startDate and endDate in the request body to retrieve a paginated list of settlement records for the specified period.ticketNumber in the request body to retrieve the settlement record associated with a specific transaction. When using this mode, include the switch query parameter to specify the payment channel. Returns a single record in the data array.page defaults to 1.limit defaults to 100 records per page.startDate older than 6 months will not return results — no error is thrown.startDate falls within the allowed window before sending the request.curl --location 'https://api-uat.kushkipagos.com/merchant-settlement/v1/settlement?switch=ecommerce' \
--header 'private-merchant-id;' \
--header 'Content-Type: application/json' \
--data '{
"startDate": "2026-01-01",
"endDate": "2026-01-31",
"page": 1,
"limit": 50
}'{
"data": [
{
"payment_date": "2026-03-10",
"day": "8",
"month": "3",
"country": "Mexico",
"currency_code": "MXN",
"merchant_id": "20000000106913436000",
"merchant_name": "FTR PAYMENTS",
"processor_type": "AGGREGATOR_FORMAL",
"credential_alias": "ONLY FANS",
"created": "2026-03-08",
"transaction_status": "APPROVED",
"ticket_number": "821773035999295672",
"sale_ticket_number": "",
"payment_method": "CARD",
"buy_order": "",
"recap": "606723104367",
"document_number": "",
"transaction_type": "SALE",
"bin_card": "418914",
"card_brand": "VISA",
"card_type": "DEBIT",
"foreign_card": "FALSE",
"number_of_months": "0",
"issuing_bank": "BANORTE",
"approval_code": "000314",
"cash_pin": "",
"payment_point": "",
"min_fee_amount": "0.00000",
"approved_transaction_amount": "105.67",
"subtotal_iva": "0.0",
"subtotal_iva0": "105.67",
"iva_value": "0.0",
"ice_value": "0.0",
"variable_fee": "2.700",
"variable_percentage": "2.85309",
"static_amount": "0.00",
"kushki_commission": "2.85",
"iva_kushki_commission": "0.46",
"kushki_amount": "3.31",
"metadata": "",
"fraud_retention": "0.00",
"adjustment": "0.00",
"wallet": "0.00",
"fund_release": "0.00",
"commission_msi": "0.00",
"iva_msi": "0.00",
"pay_amount": "102.36",
"observation": ""
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 101335,
"totalPages": 10134
}
}